package  
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.Sfx;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class Bone extends DefaultEnemy
	{
		
		private var dx:Number;
		private var dy:Number;
		public function Bone(xx:Number,yy:Number) 
		{
			graphic = new Image(Resource.bone);
			(graphic as Image).centerOO();
			x = xx;
			y = yy;
			if ((FP.world as GameLevel).myBeefy != null)
			{
				var ang:Number;
				ang = FP.angle(x, y, (FP.world as GameLevel).myBeefy.x + 24, (FP.world as GameLevel).myBeefy.y + 24);
				dx = Math.cos(ang*FP.RAD);
				dy = Math.sin(ang*FP.RAD);
			}
			else
				FP.world.remove(this);
			type = "bone";
			setHitbox(24, 24, 12, 12);
		}
		
		override public function update():void
		{
			super.update();
			if (offScreen())
				return;
			(graphic as Image).angle += 10;
			x += 16 * dx;
			y += 16 * dy;
			if (collideTerrain(x, y))
				FP.world.remove(this);
		}
		
		override public function removed():void
		{
			new Sfx(Resource.snd_smash).play(Game.soundOn?1:0);
		}
		
	}

}