package  
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.Sfx;
	import net.flashpunk.utils.Key;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class Boss extends DefaultEnemy
	{
		
		private var shootTimer:int;
		public function Boss(xx:Number,yy:Number) 
		{
			graphic = new Image(Resource.boss);
			x = xx;
			y = yy;
			type = "boss";
			setHitbox(144,144);
			hp = 500;
			shootTimer = 120;
		}
		
		override public function update():void
		{
			super.update();
			if (offScreen())
				return;
			var e:Entity = collide("laserbeam", x, y);
			if (e != null)
			{
				FP.world.remove(e);
				hp -= 5;
			}
			if (shootTimer == 0)
			{
				FP.world.add(new Bone(x + 144/2-48/2, y + 144/2-48/2));
				shootTimer = 30;
				hp--;
				if (hp <= 0)
					FP.world.remove(this);
			}
			shootTimer--;

		}
		
		override public function removed():void
		{
			new Sfx(Resource.snd_bossdie).play(Game.soundOn?1:0);
			FP.world.add(new GoldenKey(x + 144 / 2 - 48 / 2, y + 144 / 2 - 48 / 2, 1));
		}
		
	}

}