package  
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class Ghost extends DefaultEnemy
	{
		
		public function Ghost(xx:Number,yy:Number) 
		{
			graphic = new Image(Resource.ghost);
			x = xx;
			y = yy;
			type = "ghost";
			setHitbox(48, 48);
			hp = 8;
		}
		
		override public function update():void
		{
			super.update();
			if (offScreen())
				return;
			if ((FP.world as GameLevel).myBeefy != null)
			{
				if ((FP.world as GameLevel).myBeefy.x < x)
					(graphic as Image).flipped = false;
				else
					(graphic as Image).flipped = true;
			}
			var speed:int = 4;
			var w:GameLevel = (FP.world as GameLevel);
			if (w.myBeefy != null)
			{
				if (w.myBeefy.x < x)
					//if (!collideTerrain(x-speed,y) && !collide("blueenemy",x-speed,y))
						x -= speed;
				if (w.myBeefy.y < y)
					//if (!collideTerrain(x,y-speed) && !collide("blueenemy",x,y-speed))
						y -= speed;	
				if (w.myBeefy.x > x)
					//if (!collideTerrain(x+speed,y) && !collide("blueenemy",x+speed,y))
						x += speed;
				if (w.myBeefy.y > y)
					//if (!collideTerrain(x,y+speed) && !collide("blueenemy",x,y+speed))
						y += speed;	
			}	

		}
		
	}

}