package  
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.Sfx;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class RedEnemy extends DefaultEnemy
	{
		
		private var shootTimer:int;
		public function RedEnemy(xx:Number,yy:Number) 
		{
			graphic = new Image(Resource.enemy_red);
			x = xx;
			y = yy;
			type = "redenemy";
			setHitbox(48, 48);
			hp = 5;
			shootTimer = 60;
		}
		
		override public function update():void
		{
			super.update();
			if (offScreen())
				return;
			chasePlayer(2);
			if (shootTimer == 0)
			{
				FP.world.add(new RedEnemyBullet(x + 24, y + 24));
				shootTimer = 60;
			}
			shootTimer--;

		}
		
		override public function removed():void
		{
			new Sfx(Resource.snd_ow).play(Game.soundOn?1:0);
		}
		
	}

}