package  
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class DefaultEnemy extends WadeEntity
	{
	
		protected var hp:int;
		public function DefaultEnemy() 
		{
		}
		
		override public function update():void
		{
			super.update();
			var laser:LaserBeam = collide("laserbeam", x, y) as LaserBeam;
			if (laser)
			{
				FP.world.remove(laser);
				hp -= 1;
				if (hp == 0)
					FP.world.remove(this);
			}
		}
		
		public function chasePlayer(speed:int):void
		{
			var w:GameLevel = (FP.world as GameLevel);
			if (w.myBeefy != null)
			{
				if (w.myBeefy.x < x)
					if (!collideTerrain(x-speed,y) && !collide("blueenemy",x-speed,y) && !collide("redenemy",x-speed,y))
						x -= speed;
				if (w.myBeefy.y < y)
					if (!collideTerrain(x,y-speed) && !collide("blueenemy",x,y-speed) && !collide("redenemy",x,y-speed))
						y -= speed;	
				if (w.myBeefy.x > x)
					if (!collideTerrain(x+speed,y) && !collide("blueenemy",x+speed,y) && !collide("redenemy",x+speed,y))
						x += speed;
				if (w.myBeefy.y > y)
					if (!collideTerrain(x,y+speed) && !collide("blueenemy",x,y+speed) && !collide("redenemy",x,y+speed))
						y += speed;	
			}			
		}
	}

}