package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.Sfx;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class HorzDoor extends Entity
	{
		private var level:GameLevel;
		public var mycolor:int;
		public function HorzDoor(lvl:GameLevel, xx:Number,yy:Number, color:int) 
		{
			level = lvl;
			if (color == 0)
				graphic = new Image(Resource.horzdoor);
			if (color == 1)
				graphic = new Image(Resource.horzdoor_red);
			if (color == 2)
				graphic = new Image(Resource.horzdoor_green);
			if (color == 3)
				graphic = new Image(Resource.horzdoor_blue);
			x = xx;
			y = yy;
			type = "horzdoor";
			setHitbox(96, 48);
			level.setGrid(x / 48, y / 48, true);
			level.setGrid(x / 48 + 1, y / 48, true);
			mycolor = color;
		}
		
		override public function removed():void
		{
			level.setGrid(x / 48, y / 48, false);
			level.setGrid(x / 48 + 1, y / 48, false);
			new Sfx(Resource.snd_door).play(Game.soundOn?1:0);
		}
		
	}

}