package  
{
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.Sfx;
	import net.flashpunk.utils.Draw;
	import net.flashpunk.World;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class OhCrapYouDied extends World
	{
		
		public var beefX:Number;
		public var beefY:Number;
		private var beef:Image;
		private var timer:int;
		public function OhCrapYouDied() 
		{
			Game.loseMusic.stop();
			Game.finalBossMusic.stop();
			Game.bossMusic.stop();
			Game.backgroundMusic.stop();
			beef = new Image(Resource.cow);
			beef.centerOrigin();
			beef.scale = 1;
			timer = 0;
			Game.loseMusic.play(Game.soundOn?1:0);
		}
		
		public static function goToTitle()
		{
			FP.world = new Title();
		}
		
		override public function update():void
		{
			super.update();
			beef.angle += 5;
			timer++;
			if (timer == 360)
				add(new Button(goToTitle, 768/2, Game.HUDHEIGHT + 240, "Oops. You died!", 0x228822, 0xFFFFFF));
		}
		
		override public function render():void
		{
			Draw.rect(0, Game.HUDHEIGHT, 768, 480, 0xAA0000);
			Game.drawHUD();
			super.render();
				
			FP.point.x = beefX;
			FP.point.y = beefY-Game.HUDHEIGHT;
			beef.render(FP.point, FP.zero);
		}
		
	}

}