package  
{
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class Resource
	{
		// SOUNDS
		[Embed (source = "assets/snd/lasergun.mp3", mimeType = "audio/mpeg")]
		public static const snd_laser:Class;
		[Embed (source = "assets/snd/theme.mp3", mimeType = "audio/mpeg")]
		public static const snd_theme:Class;
		[Embed (source = "assets/snd/smash.mp3", mimeType = "audio/mpeg")]
		public static const snd_smash:Class;
		[Embed (source = "assets/snd/lose.mp3", mimeType = "audio/mpeg")]
		public static const snd_lose:Class;
		[Embed (source = "assets/snd/bg.mp3", mimeType = "audio/mpeg")]
		public static const snd_bg:Class;
		[Embed (source = "assets/snd/bossfight.mp3", mimeType = "audio/mpeg")]
		public static const snd_boss:Class;
		[Embed (source = "assets/snd/finalbossfight.mp3", mimeType = "audio/mpeg")]
		public static const snd_finalboss:Class;
		[Embed (source = "assets/snd/heart.mp3", mimeType = "audio/mpeg")]
		public static const snd_heart:Class;
		[Embed (source = "assets/snd/key.mp3", mimeType = "audio/mpeg")]
		public static const snd_key:Class;
		[Embed (source = "assets/snd/ow.mp3", mimeType = "audio/mpeg")]
		public static const snd_ow:Class;		
		[Embed (source = "assets/snd/fall.mp3", mimeType = "audio/mpeg")]
		public static const snd_fall:Class;		
		[Embed (source = "assets/snd/shrink.mp3", mimeType = "audio/mpeg")]
		public static const snd_shrink:Class;		
		[Embed (source = "assets/snd/gun.mp3", mimeType = "audio/mpeg")]
		public static const snd_gun:Class;	
		[Embed (source = "assets/snd/door.mp3", mimeType = "audio/mpeg")]
		public static const snd_door:Class;	
		[Embed (source = "assets/snd/downstairs.mp3", mimeType = "audio/mpeg")]
		public static const snd_downstairs:Class;	
		[Embed (source = "assets/snd/upstairs.mp3", mimeType = "audio/mpeg")]
		public static const snd_upstairs:Class;	
		[Embed (source = "assets/snd/bossdie.mp3", mimeType = "audio/mpeg")]
		public static const snd_bossdie:Class;	
		[Embed (source = "assets/snd/finalbossdie.mp3", mimeType = "audio/mpeg")]
		public static const snd_finalbossdie:Class;	
		[Embed (source = "assets/snd/cat.mp3", mimeType = "audio/mpeg")]
		public static const snd_cat:Class;	
		[Embed (source = "assets/snd/explain.mp3", mimeType = "audio/mpeg")]
		public static const snd_explain:Class;	
		[Embed (source = "assets/snd/theme.mp3", mimeType = "audio/mpeg")]
		public static const snd_credits:Class;	
		
		// MAPS
		[Embed (source = "assets/ogmo/test.oel", mimeType = "application/octet-stream")]
		public static const test_oel:Class;
		[Embed (source = "assets/ogmo/upper.oel", mimeType = "application/octet-stream")]
		public static const upper_oel:Class;
		[Embed (source = "assets/ogmo/three.oel", mimeType = "application/octet-stream")]
		public static const three_oel:Class;
		[Embed (source = "assets/ogmo/boss.oel", mimeType = "application/octet-stream")]
		public static const boss_oel:Class;
		[Embed (source = "assets/ogmo/finalboss.oel", mimeType = "application/octet-stream")]
		public static const finalboss_oel:Class;
		
		// FONTS
		[Embed (source = "assets/gfx/font.png")]
		public static const font:Class;
		[Embed (source = "assets/gfx/alienfont.png")]
		public static const alienfont:Class;
		
		// FLOORS
		[Embed (source = "assets/gfx/floor_rock.png")]
		public static const floor_rock:Class;
		[Embed (source = "assets/gfx/floor_grass.png")]
		public static const floor_grass:Class;
		[Embed (source = "assets/gfx/floor_wood.png")]
		public static const floor_wood:Class;
		
		// STUFF
		[Embed (source = "assets/gfx/brick.png")]
		public static const brick:Class;
		[Embed (source = "assets/gfx/cow.png")]
		public static const cow:Class;
		[Embed (source = "assets/gfx/rock.png")]
		public static const rock:Class;
		[Embed (source = "assets/gfx/stone.png")]
		public static const stone:Class;
		[Embed (source = "assets/gfx/lasergun.png")]
		public static const lasergun:Class;		
		[Embed (source = "assets/gfx/laserbeam.png")]
		public static const laserbeam:Class;	
		[Embed (source = "assets/gfx/reticle.png")]
		public static const reticle:Class;
		[Embed (source = "assets/gfx/totem.png")]
		public static const totem:Class;
		[Embed (source = "assets/gfx/enemy_blue.png")]
		public static const enemy_blue:Class;
		[Embed (source = "assets/gfx/ghost.png")]
		public static const ghost:Class;
		[Embed (source = "assets/gfx/enemy_red.png")]
		public static const enemy_red:Class;	
		[Embed (source = "assets/gfx/enemy_red_bullet.png")]
		public static const enemy_red_bullet:Class;	
		[Embed (source = "assets/gfx/stairs_down.png")]
		public static const stairs_down:Class;	
		[Embed (source = "assets/gfx/stairs_up.png")]
		public static const stairs_up:Class;	
		[Embed (source = "assets/gfx/heartpickup.png")]
		public static const heartpickup:Class;	
		[Embed (source = "assets/gfx/hl3.png")]
		public static const hl3:Class;	
		[Embed (source = "assets/gfx/cat.png")]
		public static const cat:Class;
		[Embed (source = "assets/gfx/bone.png")]
		public static const bone:Class;
		
		
		[Embed (source = "assets/gfx/finalboss.png")]
		public static const finalboss:Class;	
		[Embed (source = "assets/gfx/boss.png")]
		public static const boss:Class;	
		
		
		[Embed (source = "assets/gfx/door_horz.png")]
		public static const horzdoor:Class;
		[Embed (source = "assets/gfx/door_vert.png")]
		public static const vertdoor:Class;	
		[Embed (source = "assets/gfx/key.png")]
		public static const key:Class;	
		[Embed (source = "assets/gfx/door_horz_red.png")]
		public static const horzdoor_red:Class;
		[Embed (source = "assets/gfx/door_vert_red.png")]
		public static const vertdoor_red:Class;	
		[Embed (source = "assets/gfx/key_red.png")]
		public static const key_red:Class;			
		[Embed (source = "assets/gfx/door_horz_green.png")]
		public static const horzdoor_green:Class;
		[Embed (source = "assets/gfx/door_vert_green.png")]
		public static const vertdoor_green:Class;	
		[Embed (source = "assets/gfx/key_green.png")]
		public static const key_green:Class;		
		[Embed (source = "assets/gfx/door_horz_blue.png")]
		public static const horzdoor_blue:Class;
		[Embed (source = "assets/gfx/door_vert_blue.png")]
		public static const vertdoor_blue:Class;	
		[Embed (source = "assets/gfx/key_blue.png")]
		public static const key_blue:Class;
		// HUD STUFF
		[Embed (source = "assets/gfx/hud_regular.png")]
		public static const hud_regular:Class;
		[Embed (source = "assets/gfx/hud_talking.png")]
		public static const hud_talking:Class;
		[Embed (source = "assets/gfx/hud_totem.png")]
		public static const hud_totem:Class;
		[Embed (source = "assets/gfx/heart_empty.png")]
		public static const hud_heart_empty:Class;
		[Embed (source = "assets/gfx/heart_half.png")]
		public static const hud_heart_half:Class;
		[Embed (source = "assets/gfx/heart_full.png")]
		public static const hud_heart_full:Class;
		[Embed (source = "assets/gfx/hud_logo.png")]
		public static const hud_logo:Class;
		
		
		
		
		
		[Embed (source = "assets/gfx/endstory.png")]
		public static const endstory:Class;	
		// TITLE SCREEN
		[Embed (source = "assets/gfx/bettertitle.png")]
		public static const title:Class;
		// INTRO STORY
		[Embed (source = "assets/gfx/story_mooperture.png")]
		public static const story_mooperture:Class;		
		[Embed (source = "assets/gfx/story_mooperture_lazor.png")]
		public static const story_mooperture_lazor:Class;		
		[Embed (source = "assets/gfx/story_beeferton.png")]
		public static const story_beeferton:Class;
		[Embed (source = "assets/gfx/story_beeferton_zap.png")]
		public static const story_beeferton_zap:Class;	
		[Embed (source = "assets/gfx/story_ladycow.png")]
		public static const story_ladycow:Class;
		[Embed (source = "assets/gfx/story_ladycow_zap.png")]
		public static const story_ladycow_zap:Class;
		[Embed (source = "assets/gfx/story.png")]
		public static const story:Class;		
		[Embed (source = "assets/gfx/atom.png")]
		public static const atom:Class;	
		[Embed (source = "assets/gfx/galaxy.png")]
		public static const galaxy:Class;	
		[Embed (source = "assets/gfx/planet.png")]
		public static const planet:Class;			
	}

}