package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.Sfx;
	/**
	 * ...
	 * @author Wade McGillis
	 */
	public class VertDoor extends Entity
	{
		private var level:GameLevel;
		public var mycolor:int;
		public function VertDoor(lvl:GameLevel, xx:Number,yy:Number,color:int) 
		{
			level = lvl;
			if (color == 0)
				graphic = new Image(Resource.vertdoor);
			if (color == 1)
				graphic = new Image(Resource.vertdoor_red);
			if (color == 2)
				graphic = new Image(Resource.vertdoor_green);
			if (color == 3)
				graphic = new Image(Resource.vertdoor_blue);
			x = xx;
			y = yy;
			type = "vertdoor";
			setHitbox(48, 96);
			level.setGrid(x / 48, y / 48, true);
			level.setGrid(x / 48, y / 48 + 1, true);
			mycolor = color;
		}
		
		override public function removed():void
		{
			level.setGrid(x / 48, y / 48, false);
			level.setGrid(x / 48, y / 48 + 1, false);
			new Sfx(Resource.snd_door).play(Game.soundOn?1:0);
		}
		
	}

}